Subject: Re: [PATCH v2 1/2] sparse-checkout: custom tab completion tests

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Dec 2021 14:20:58 -0800

Elijah Newren <[email-masked]> writes:

> Second, and this item is unrelated to your series but your comment
> made me realize it....sparse-checkout unfortunately ignores prefix and
> creates a bad .git/info/sparse-checkout file.  For example:
> ...
> I think the loss of the current working directory will be fixed by the
> en/keep-cwd directory (currently in next and marked for merging to
> master), but the fact that the wrong paths end up in the
> sparse-checkout file is unfortunate.  It basically means that the
> `set` and `add` subcommands of `sparse-checkout` can only be safely
> run from the toplevel directory.

You made it sound as if this is a fundamental limitation, but it
sounds more like a bug that needs to be fixed (outside the
completion series, of course) to me.